package io.swagger.client.api;

import io.swagger.client.model.*;

import retrofit.http.*;
import retrofit.mime.*;
import java.util.*;


public interface AuthAPIApi {
  
  /**
   * Получить ключ доступа
   * Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API\n	(параметр &#39;token&#39;). Для вычисления значения параметра &#39;response&#39; необходимо получить представленную в hex MD5-сумму от\n	объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:\n	hex(md5(password&amp;nbsp;+&amp;nbsp;salt&amp;nbsp;+&amp;nbsp;&#39;\n&#39;))
   * @param login Имя пользователя
   * @param salt Соль (см. /auth/start)
   * @param response Вычисленный хэш
   * @return String
   */
  
  @POST("/auth/login")  
  String authLoginPost(
    @Query("login") String login,@Query("salt") String salt,@Query("response") String response
  );  
  
  /**
   * Получить соль
   * Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется\n	во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.
   * @param login Имя пользователя
   * @return String
   */
  
  @GET("/auth/start")  
  String authStartGet(
    @Query("login") String login
  );  
  
}
